Slaters Blog

wichtige und unwichtige Gedanken

GPG Error beim updaten von der Sourcelist

Wenn man beim Updaten der Sourcelist über apt-get oder über das grafische Tool Synaptic einen GPG-Error angezeigt bekommt, kann man folgendes Versuchen:

Ausgangssituation in diesem Beispiel:


W: GPG error: http://people.debian.org unstable Release: the following
signatures couldn't be verified because the public key is not avalable:
NO_PUPKEY 212253A4F641D1A6
W: Sie möchten vielleicht >>apt-get update<< aufrufen, um dieses Problem
zu lösen

Lösungsmöglichkeit:


gpg --keyserver pgp.mit.edu --recv-keys F641D1A6
gpg --armor --export F641D1A6 | apt-key add -
apt-get update

danach sollte das update von Deiner Sourcelist ohne Probleme gehen…

(wie immer ohne Gewähr und anderem Schießgerät 😉 )

Kommentieren

*